## GtkPlotPolar

GtkPlotPolar

## Synopsis

    #include <gtkextra.h>

    #define             GTK_PLOT_POLAR_FLAGS                (plot)
    #define             GTK_PLOT_POLAR_SET_FLAGS            (plot,flag)
    #define             GTK_PLOT_POLAR_UNSET_FLAGS          (plot,flag)
    #define             GTK_PLOT_POLAR_TRANSPARENT          (plot)
    GtkWidget*          gtk_plot_polar_new                  (GdkDrawable *drawable);
    GtkWidget*          gtk_plot_polar_new_with_size        (GdkDrawable *drawable,
                                                             gdouble width,
                                                             gdouble height);
    void                gtk_plot_polar_construct            (GtkPlotPolar *plot,
                                                             GdkDrawable *drawable);
    void                gtk_plot_polar_construct_with_size  (GtkPlotPolar *plot,
                                                             GdkDrawable *drawable,
                                                             gdouble width,
                                                             gdouble height);
    void                gtk_plot_polar_rotate               (GtkPlotPolar *plot,
                                                             gdouble angle);
    gdouble             gtk_plot_polar_get_angle            (GtkPlotPolar *plot);

## Description

## Details

### GTK_PLOT_POLAR_FLAGS()

    #define GTK_PLOT_POLAR_FLAGS(plot)         (GTK_PLOT_POLAR(plot)->flags)

`plot` : |

### GTK_PLOT_POLAR_SET_FLAGS()

    #define GTK_PLOT_POLAR_SET_FLAGS(plot,flag) (GTK_PLOT_POLAR_FLAGS(plot) |= (flag))

`plot` : |
`flag` : |

### GTK_PLOT_POLAR_UNSET_FLAGS()

    #define GTK_PLOT_POLAR_UNSET_FLAGS(plot,flag) (GTK_PLOT_POLAR_FLAGS(plot) &= ~(flag))

`plot` : |
`flag` : |

### GTK_PLOT_POLAR_TRANSPARENT()

    #define GTK_PLOT_POLAR_TRANSPARENT(plot) (GTK_PLOT_POLAR_FLAGS(plot) & GTK_PLOT_POLAR_TRANSPARENT)

`plot` : |

### gtk_plot_polar_new ()

    GtkWidget*          gtk_plot_polar_new                  (GdkDrawable *drawable);

`drawable` : |
Returns : |

### gtk_plot_polar_new_with_size ()

    GtkWidget*          gtk_plot_polar_new_with_size        (GdkDrawable *drawable,
                                                             gdouble width,
                                                             gdouble height);

`drawable` : |
`width` : |
`height` : |
Returns : |

### gtk_plot_polar_construct ()

    void                gtk_plot_polar_construct            (GtkPlotPolar *plot,
                                                             GdkDrawable *drawable);

`plot` : |
`drawable` : |

### gtk_plot_polar_construct_with_size ()

    void                gtk_plot_polar_construct_with_size  (GtkPlotPolar *plot,
                                                             GdkDrawable *drawable,
                                                             gdouble width,
                                                             gdouble height);

`plot` : |
`drawable` : |
`width` : |
`height` : |

### gtk_plot_polar_rotate ()

    void                gtk_plot_polar_rotate               (GtkPlotPolar *plot,
                                                             gdouble angle);

`plot` : |
`angle` : |

### gtk_plot_polar_get_angle ()

    gdouble             gtk_plot_polar_get_angle            (GtkPlotPolar *plot);

`plot` : |
Returns : |